if [ -d /sbin/.magisk ]; then
  MAGISKTMP=/sbin/.magisk
else
  MAGISKTMP=`find /dev -mindepth 2 -maxdepth 2 -type d -name .magisk`
fi
if [ -d $MAGISKTMP/mirror/system_root ]; then
  SYSTEM=$MAGISKTMP/mirror/system_root
  SMFX=$MAGISKTMP/mirror/system_root/system/etc/vintf/manifest.xml
else
  SYSTEM=$MAGISKTMP/mirror/system
  SMFX=$MAGISKTMP/mirror/system/etc/vintf/manifest.xml
fi
VENDOR=$MAGISKTMP/mirror/vendor
VMFX=$MAGISKTMP/mirror/vendor/etc/vintf/manifest.xml
VHC=$MAGISKTMP/mirror/vendor/etc/selinux/vendor_hwservice_contexts
VFC=$MAGISKTMP/mirror/vendor/etc/selinux/vendor_file_contexts
mount -o rw,remount $SYSTEM
mount -o rw,remount $VENDOR
mv -f $SMFX.orig $SMFX
mv -f $SMFX.bak $SMFX
mv -f $VMFX.orig $VMFX
mv -f $VMFX.bak $VMFX
mv -f $VHC.bak $VHC
mv -f $VFC.bak $VFC
mount -o ro,remount $SYSTEM
mount -o ro,remount $VENDOR
rm -rf $MAGISKTMP/mirror/persist/magisk/DolbyAtmos

APP1=DaxUI
APP2=daxService
PKG1=com.dolby.daxappui
PKG2=com.dolby.service
PKGCACHE=/data/system/package_cache
rm -f `find /data/dalvik-cache -type f -name *$APP1*`
rm -f `find /data/dalvik-cache -type f -name *$APP2*`
rm -f `find $PKGCACHE -type f -name $APP1*`
rm -f `find $PKGCACHE -type f -name $APP2*`
rm -f `find $PKGCACHE -type f -name $PKG1*`
rm -f `find $PKGCACHE -type f -name $PKG2*`
rm -rf /data/data/$PKG1
rm -rf /data/data/$PKG2
rm -rf /data/vendor/dolby

